Signal 11 error on linux Mint MATE 19

Report crashes, strange behaviour, or apparent bugs
Post Reply
RobAtLab
Posts: 67
Joined: 10 Jan 2018, 17:49

Signal 11 error on linux Mint MATE 19

Post by RobAtLab » 19 Dec 2018, 03:30

I've got linux mint mate 19 newly installed on a PC and have tried to install V-REP. It crashes upon startup and prints the below error message into the terminal.

robert@robert-HP-PC:~/V-REP_PRO_EDU_V3_5_0_Linux$ ./vrep.sh
Using the default Lua library.
Loaded the video compression library.
Add-on script 'vrepAddOnScript-addOnScriptDemo.lua' was loaded.
Error: signal 11:
libv_rep.so(_Z11_segHandleri+0x28)[0x7f6d8faefc58]
/lib/x86_64-linux-gnu/libc.so.6(+0x3ef20)[0x7f6d93c05f20]
robert@robert-HP-PC:~/V-REP_PRO_EDU_V3_5_0_Linux$ gdb ./vrep.sh

All my other V-REP use has been on an ubuntu 16.04 LTS computer, I've never had these sort of issues there. I've looked online and seen warnings about openGL and graphics drivers but Mint's driver manager seems to say I'm not using any such drivers. This PC is relatively low performance (intel i3-5010u circa 2014, no separate graphics card).

Any tips?

Thanks

RobAtLab
Posts: 67
Joined: 10 Jan 2018, 17:49

Re: Signal 11 error on linux Mint MATE 19

Post by RobAtLab » 19 Dec 2018, 03:43

EDIT: I've tried V-REP 3.4.0 (previous version) on this PC, it opens up alright and runs a few simple simulations ok. This issue is clearly related to a change made to V-REP between version 3.4.0 and version 3.5.0*. As all my files I need to work on here made in 3.5 though i get serialisation warnings when opening them, then crashes due to weird characters appearing at the ends of scripts and "sim." no longer being recognised as a key word in the code.

*From your naming conention I think you don't make changes to a version while keeping the same name. So as neither V-REP 3.6.0 nor V-REP 3.5.1 has come out yet I'm guessing that the version 3.5.0 I used (file downloaded back about a month after 3.5.0 was released) is the same as the latest you have available for download. My interent connection where I am is a little slow so I (failed on the mint 19 machine while trying to) use[d] the same tar.gz file for vrep3.5.0 as I had used before to succesffuly instal vrep on ubuntu 16.04. I would try the latest BETA version to but the download link isn't working.

P.S. I'm using the EDU version, 64 bit. I can provide more system specs for both the ubuntu 16.04 system where 3.5.0 works and the mint system where it doesn't.

coppelia
Site Admin
Posts: 7229
Joined: 14 Dec 2012, 00:25

Re: Signal 11 error on linux Mint MATE 19

Post by coppelia » 20 Dec 2018, 09:48

Hello,

unfortunately we only support the Ubuntu distribution, specifically only Ubuntu 16.04 for now.

Cheers

RobAtLab
Posts: 67
Joined: 10 Jan 2018, 17:49

Re: Signal 11 error on linux Mint MATE 19

Post by RobAtLab » 21 Dec 2018, 19:04

I think Mint 19 is Ubuntu 18.04 based, so that would explain my trouble. I'd give a good guess that if V-REP ran on ubuntu 18.04 it would probably cope on Mint 19 to (they are very smilar distros). Do you expect V-REP 3.6 to be ubuntu 18.04 compatible? As well as preserving compatibility with Ubuntu 16.04?
Thanks

RobAtLab
Posts: 67
Joined: 10 Jan 2018, 17:49

Re: Signal 11 error on linux Mint MATE 19

Post by RobAtLab » 10 Mar 2019, 01:03

This seems fixed in version 3.6, the Ubuntu 18.04 edition. Downloaded a copy a few minute ago, first time I tried to do "./vrep.sh" I got a signal 11 error again, but there was a helpful print statement just beforehand advising me to run "sudo apt install libgl1-mesa-dev". I installed libgl1-mesa-dev as advised and tried to open V-REP again, all went perfectly this second time. Opened up a file made in version 3.5, from a very brief inspection it appears all features in the file have been perfectl cross-compatible from the old version to the new. Thanks for fixing.

Post Reply